# System configuration and packages for my personal NixOS setup

{ config, pkgs, ... }:

{
  imports = [
    # include local machine/environment config
    ./local.nix
    ./programs
  ];
  nixpkgs.config.allowUnfree = true;
  environment.systemPackages = with pkgs; [
    fishPlugins.tide
    neovim
    wget
    git
    htop
    btop
    dig
    eza
  ];
  
  environment.shellAliases = {
    vi = "nvim";
    vim = "nvim";
    ll = "eza -alo --group-directories-first";
    tree = "eza -lT";
  };

  programs.direnv.enable = true;
  users.defaultUserShell = pkgs.fish;

  services.tailscale.enable = true;
  services.tailscale.useRoutingFeatures = "client";

  system.stateVersion = "23.05";

}
